MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030800Community[OCCT] OCCT:Foundation Classespublic2019-06-21 19:092020-10-08 11:01
Reporterkevin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0030800: Foundation Classes, UnitsAPI - poise dynamic viscosity unit is not defined correctly
DescriptionThe "poise" dynamic viscosity unit is defined incorrectly as "gf/cm\xB2.s". This uses gram-force which includes gravity. The results in conversion error. The poise unit should be defined as 1 Po = 10 Pa*s to avoid the inclusion of gravity. Please refer to https://en.wikipedia.org/wiki/Poise_(unit) [^] for the correct definition of Poise.

Steps To Reproduce// Try converting 1 Po to Pa*s
double val = UnitsAPI::AnyToAny(1, "Po", "Pa.s");

// val will be 98.066500 . This is incorrect. Value should be 10.

TagsNo tags attached.
Test case numberbugs/fclasses/bug30800
Attached Files

- Relationships

-  Notes
(0095608)
git (administrator)
2020-10-02 23:51

Branch CR30800 has been created by abv.

SHA-1: 9c12795d648eee83db214c7e2d57523d422c7eb0


Detailed log of new commits:

Author: abv
Date: Fri Oct 2 23:54:16 2020 +0300

    0030800: Foundation Classes, UnitsAPI - poise dynamic viscosity unit is not defined correctly
    
    Definition of Poise unit corrected.
    
    Added test bugs fclasses bug30800
(0095609)
abv (manager)
2020-10-02 23:52

Fix pushed to branch CR30800, please review.
(0095775)
bugmaster (administrator)
2020-10-07 15:57

Combination -
OCCT branch : OCCT-750-BETA
master SHA - 278da162dc52c26c8cfe9d002a6f07db12405194
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750-BETA SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18038.89000000012 / 18085.73000000008 [-0.26%]
Products
Total CPU difference: 12182.170000000115 / 12217.490000000116 [-0.29%]
Windows-64-VC14:
OCCT
Total CPU difference: 19726.21875 / 19713.9375 [+0.06%]
Products
Total CPU difference: 13586.625 / 13579.390625 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095803)
git (administrator)
2020-10-08 11:01

Branch CR30800 has been deleted by inv.

SHA-1: 9c12795d648eee83db214c7e2d57523d422c7eb0

- Related Changesets
occt: master d430d129
Timestamp: 2020-10-02 20:54:16
Author: abv
Committer: bugmaster
Details ] Diff ]
0030800: Foundation Classes, UnitsAPI - poise dynamic viscosity unit is not defined correctly

Definition of Poise unit corrected.

Added test bugs fclasses bug30800
mod - src/UnitsAPI/Units.dat Diff ] File ]
mod - src/UnitsAPI/UnitsAPI_Units_dat.pxx Diff ] File ]
add - tests/bugs/fclasses/bug30800 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-06-21 19:09 kevin New Issue
2019-06-21 19:09 kevin Assigned To => msv
2019-06-21 19:17 msv Assigned To msv => kgv
2019-06-21 19:17 msv Category OCCT:Modeling Data => OCCT:Foundation Classes
2019-06-21 19:27 kgv Summary poise dynamic viscosity unit is not defined correctly => Foundation Classes, UnitsAPI - poise dynamic viscosity unit is not defined correctly
2019-07-17 10:46 kgv Assigned To kgv => abv
2020-09-23 12:50 kgv Target Version => 7.5.0
2020-10-02 23:51 git Note Added: 0095608
2020-10-02 23:52 abv Note Added: 0095609
2020-10-02 23:52 abv Assigned To abv => kgv
2020-10-02 23:52 abv Status new => resolved
2020-10-03 00:00 kgv Assigned To kgv => bugmaster
2020-10-03 00:00 kgv Status resolved => reviewed
2020-10-03 12:59 bugmaster Test case number => bugs/fclasses/bug30800
2020-10-03 14:05 bugmaster Note Added: 0095637
2020-10-03 14:05 bugmaster Status reviewed => tested
2020-10-03 14:07 bugmaster Note Deleted: 0095637
2020-10-03 14:12 bugmaster Status tested => assigned
2020-10-03 14:12 bugmaster Status assigned => feedback
2020-10-03 14:12 bugmaster Status feedback => reviewed
2020-10-07 15:57 bugmaster Note Added: 0095775
2020-10-07 15:57 bugmaster Status reviewed => tested
2020-10-07 16:17 bugmaster Changeset attached => occt master d430d129
2020-10-07 16:17 bugmaster Status tested => verified
2020-10-07 16:17 bugmaster Resolution open => fixed
2020-10-08 11:01 git Note Added: 0095803


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker